Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03362 Crash/Freeze Critical (emulator) Always Jul 26, 2009, 23:33 Sep 3, 2009, 20:38
Tester Firewave View Status Public Platform MAME (Official Binary)
Assigned To Resolution Fixed OS
Status [?] Resolved Driver simpl156.cpp
Version 0.133 Fixed in Version 0.135u1 Build Debug
Summary 03362: chainrec: [debug] Integer Divide By Zero with "-nosound -video none -debug"
Description When run with "-nosound -video none -debug" it reports the following before even showing the debug window:

-----------------------------------------------------
Exception at EIP=00A8972F: INTEGER DIVIDE BY ZERO
-----------------------------------------------------
EAX=00000100 EBX=00000000 ECX=00000100 EDX=00000000
ESI=14D71EF0 EDI=0000013F EBP=048AF558 ESP=048AF490
Steps To Reproduce
Additional Information
Flags Debug build specific
Regression Version
Affected Sets / Systems chainrec
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.04715
Tafoid
Administrator
Jul 27, 2009, 00:01
I can't duplicate this with MAMEDEV 0.133 (Debug). Strangely, I could get "charlien" game to crash with the same exception message.
User avatar
No.04722
Fujix
Administrator
Jul 27, 2009, 14:23
I have the same problem in chainrec only.
D:\mame>mamed chainrec -nosound -video none -debug
Warning: -video none doesn't make much sense without -seconds_to_run

-----------------------------------------------------
Exception at EIP=00A8972F: INTEGER DIVIDE BY ZERO
-----------------------------------------------------
EAX=00000100 EBX=00000000 ECX=00000100 EDX=00000000
ESI=16491EF0 EDI=0000013F EBP=0022F558 ESP=0022F490
User avatar
No.04895
couriersud
Developer
Sep 3, 2009, 20:38
Unable to recreate on linux 64bit